Bug 51367 - printconf-gui TypeError (type AdmList)
Summary: printconf-gui TypeError (type AdmList)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 7.1k
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-09 20:03 UTC by efm-redhat
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 20:03:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description efm-redhat 2001-08-09 20:03:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1 i686)

Description of problem:
Creating a Unix Printer (lp, 10.x.x.x, PASS, Postscript, HP Laserjet4)

[root@gwen efm]# printconf-gui
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/printconf/util/printconf_gui.py", line 568, in
nqd_handle_finish
    construct_queue(nqd.queue_type_space, nqd.data, nqd.driver_tuple)
  File "/usr/share/printconf/util/printconf_conf.py", line 583, in
construct_queue
    filter_data["page_size"] = filter_data("page_size", "Letter")
TypeError: call of non-function (type AdmList)


How reproducible:
Always

Steps to Reproduce:
1.New  Unix printer
2. lp
3. 10.1.5.1, PASS
4. Postscript, HP LaserJet 4
5. Finish
6. Traceback
	

Actual Results:  Created /var/spool/lpd/lp containing:
[root@gwen lp]# ls -l
total 12
-rw-------    1 lp       lp              0 Aug  9 13:37 acct
-rw-------    1 lp       lp              0 Aug  9 13:37 control.lp
-rw-------    1 lp       lp          12288 Aug  9 13:37 db.lp
-rw-------    1 lp       lp              0 Aug  9 13:37 log
-rw-------    1 lp       lp              0 Aug  9 13:37 status
-rw-------    1 lp       lp              0 Aug  9 13:37 status.lp


Additional info:

Comment 1 Crutcher Dunnavant 2001-11-26 17:12:57 UTC
fixed


Note You need to log in before you can comment on or make changes to this bug.